#pragma once

#include "SettingsGroup.h"

class WimaSettings : public SettingsGroup
{
    Q_OBJECT
public:
    WimaSettings(QObject* parent = nullptr);

    DEFINE_SETTING_NAME_GROUP()

    DEFINE_SETTINGFACT(lowBatteryThreshold)
    DEFINE_SETTINGFACT(enableLowBatteryHandling)
    DEFINE_SETTINGFACT(minimalRemainingMissionTime)
};
